using System.ComponentModel.DataAnnotations;

namespace JtkMainServer.Models {
    public class ChangePassword {
        [Display(Name = "기존 비밀번호")]
        [Required(ErrorMessage = "기존 비밀번호를 입력하세요.")]
        public string PreviousPassword { get; set; }

        [Display(Name = "새 비밀번호")]
        [Required(ErrorMessage = "새 비밀번호를 입력하세요.")]
        [MinLength(4, ErrorMessage = "네 자리 이상 입력하세요.")]
        public string NewPassword { get; set; }

        [Display(Name = "새 비밀번호 확인")]
        [Required(ErrorMessage = "새 비밀번호를 한번더 입력하세요.")]
        [Compare("NewPassword", ErrorMessage = "새 비밀번호와 일치하지 않습니다.")]
        public string NewPasswordConfirm { get; set; }
    }
}
